Package com.trilead.ssh2.channel

# Class Channel

java.lang.Object
com.trilead.ssh2.channel.Channel

public class Channel extends Object
Channel.

## Constructor Summary

Constructors
Constructor
Description
`Channel(ChannelManager cm)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExitSignal()`
`Integer`
`getExitStatus()`
`String`
`getReasonClosed()`
`ChannelInputStream`
`getStderrStream()`
`ChannelOutputStream`
`getStdinStream()`
`ChannelInputStream`
`getStdoutStream()`
`void`
`setReasonClosed(String reasonClosed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Channel

public Channel(ChannelManager cm)

## Method Details

### getStderrStream

public ChannelInputStream getStderrStream()

### getStdinStream

public ChannelOutputStream getStdinStream()

### getStdoutStream

public ChannelInputStream getStdoutStream()

### getExitSignal

public String getExitSignal()

### getExitStatus

public Integer getExitStatus()

### getReasonClosed

public String getReasonClosed()

### setReasonClosed

public void setReasonClosed(String reasonClosed)